org.appng.core.security.signing

## Class SignerConfig

- java.lang.Object
- - org.appng.core.security.signing.BaseConfig
  - - org.appng.core.security.signing.SignerConfig

-     public class SignerConfig
      extends BaseConfig

  The configuration used for signing a repository
  Author:
    Dirk Heuvels, Matthias Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.appng.core.security.signing.BaseConfig

      `BaseConfig.PrivateKeyFormat, BaseConfig.SigningAlgorithm`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Signature` | `signature`
    `protected RSAPrivateKey` | `signingKey`

    - ### Fields inherited from class org.appng.core.security.signing.BaseConfig

      `charset, digest, repoAttributes, signingCertChain`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerConfig(String repoCodeName, String repoDescription, String repoVersion, byte[] privateKey, byte[] signCert, BaseConfig.SigningAlgorithm sigAlgorithm, BaseConfig.PrivateKeyFormat keyFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `hasMissingKey()`

    - ### Methods inherited from class org.appng.core.security.signing.BaseConfig

      `getCertPublicKey, setMsgDigest, setSigningCerts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signingKey

          protected RSAPrivateKey signingKey

    - #### signature

          protected Signature signature

  - ### Constructor Detail

    - #### SignerConfig

          public SignerConfig(String repoCodeName,
                              String repoDescription,
                              String repoVersion,
                              byte[] privateKey,
                              byte[] signCert,
                              BaseConfig.SigningAlgorithm sigAlgorithm,
                              BaseConfig.PrivateKeyFormat keyFormat)
                       throws SigningException

      Throws:
        `SigningException`

  - ### Method Detail

    - #### hasMissingKey

          protected String hasMissingKey()

      Overrides:
        `hasMissingKey` in class `BaseConfig`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.